Subject: configure fails when cross-compiling for the same architecture
From: Pip Cet <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 9 Dec 2017 00:10:05 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I tried building Paul's MPX patch on a CPU that doesn't support MPX,
so I could run the executable with Intel's CPU emulator. I used
./configure CFLAGS="-O2 -g3 -mmpx -fcheck-pointer-bounds", but that
failed because the executable produced by the tputs test cannot run
(natively) on my CPU.

It would be nice to have a configure option to specify that while
build and target machines share the same architecture, they don't
share the same -m flags, so that we're effectively cross-compiling. Is
this possible with autoconf?